Loading...
Searching...
No Matches
field_sliced_iterator< OutputIterator >

## Detailed Description

template<class OutputIterator>
class rheolef::details::field_sliced_iterator< OutputIterator >

Definition at line 86 of file field_wdof_sliced.h.

Inheritance diagram for field_sliced_iterator< OutputIterator >:

## Public Types

using | base = field_sliced_const_iterator< OutputIterator >
using | size_type = typename base::size_type
using | value_type = typename base::value_type
using | difference_type = std::ptrdiff_t
using | self_type = field_sliced_iterator< OutputIterator >
Public Types inherited from field_sliced_const_iterator< OutputIterator >
using | iterator_category = std::forward_iterator_tag
using | size_type = std::size_t
using | value_type = typename std::iterator_traits< OutputIterator >::value_type
using | reference = const value_type &
using | pointer = const value_type *
using | difference_type = std::ptrdiff_t
using | self_type = field_sliced_const_iterator< OutputIterator >

## Public Member Functions

| field_sliced_iterator ()=delete
| field_sliced_iterator (OutputIterator iter, size_type incr)
value_type & | operator* ()
value_type & | operator[] (size_type n)
self_type & | operator++ ()
self_type | operator++ (int)
self_type & | operator+= (difference_type n)
self_type | operator+ (difference_type n) const
Public Member Functions inherited from field_sliced_const_iterator< OutputIterator >
| field_sliced_const_iterator ()=delete
| field_sliced_const_iterator (OutputIterator iter, size_type incr)
| field_sliced_const_iterator (field_sliced_iterator< OutputIterator > i)
reference | operator* () const
reference | operator[] (size_type n) const
self_type & | operator++ ()
self_type | operator++ (int)
self_type & | operator+= (difference_type n)
self_type | operator+ (difference_type n) const
bool | operator== (const self_type &j) const
bool | operator!= (const self_type &j) const

## Additional Inherited Members

Public Attributes inherited from field_sliced_const_iterator< OutputIterator >
OutputIterator | _iter
size_type | _incr

## Member Typedef Documentation

## base

template<class OutputIterator >

using base = field_sliced_const_iterator<OutputIterator>

Definition at line 90 of file field_wdof_sliced.h.

## size_type

template<class OutputIterator >

using size_type = typename base::size_type

Definition at line 91 of file field_wdof_sliced.h.

## value_type

template<class OutputIterator >

using value_type = typename base::value_type

Definition at line 92 of file field_wdof_sliced.h.

## difference_type

template<class OutputIterator >

using difference_type = std::ptrdiff_t

Definition at line 93 of file field_wdof_sliced.h.

## self_type

template<class OutputIterator >

using self_type = field_sliced_iterator<OutputIterator>

Definition at line 94 of file field_wdof_sliced.h.

## Constructor & Destructor Documentation

## field_sliced_iterator() [1/2]

template<class OutputIterator >

field_sliced_iterator | ( |  | ) |

delete

## field_sliced_iterator() [2/2]

template<class OutputIterator >

field_sliced_iterator | ( | OutputIterator | iter,
|  | size_type | incr
| ) |  |

Definition at line 99 of file field_wdof_sliced.h.

## Member Function Documentation

## operator*()

template<class OutputIterator >

value_type & operator* | ( |  | ) |

Definition at line 103 of file field_wdof_sliced.h.

## operator[]()

template<class OutputIterator >

value_type & operator[] | ( | size_type | n | ) |

Definition at line 104 of file field_wdof_sliced.h.

## operator++() [1/2]

template<class OutputIterator >

self_type & operator++ | ( |  | ) |

Definition at line 106 of file field_wdof_sliced.h.

## operator++() [2/2]

template<class OutputIterator >

self_type operator++ | ( | int |  | ) |

Definition at line 107 of file field_wdof_sliced.h.

## operator+=()

template<class OutputIterator >

self_type & operator+= | ( | difference_type | n | ) |

Definition at line 108 of file field_wdof_sliced.h.

## operator+()

template<class OutputIterator >

self_type operator+ | ( | difference_type | n | ) | const

Definition at line 109 of file field_wdof_sliced.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_wdof_sliced.h